## org.apache.mahout.fpm.pfpgrowth.convertors.string
Class TopKStringPatterns

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.convertors.string.TopKStringPatterns

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public final class TopKStringPatterns

extends java.lang.Object
implements org.apache.hadoop.io.Writable

A class which collects Top K string patterns

Constructor Summary
`TopKStringPatterns()`
`TopKStringPatterns(java.util.Collection<Pair<java.util.List<java.lang.String>,java.lang.Long>> patterns)`

Method Summary
`java.util.List<Pair<java.util.List<java.lang.String>,java.lang.Long>>` `getPatterns()`
`java.util.Iterator<Pair<java.util.List<java.lang.String>,java.lang.Long>>` `iterator()`
`TopKStringPatterns` `merge(TopKStringPatterns pattern, int heapSize)`
`void` `readFields(java.io.DataInput in)`
`java.lang.String` `toString()`
`void` `write(java.io.DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TopKStringPatterns

    public TopKStringPatterns()

### TopKStringPatterns

    public TopKStringPatterns(java.util.Collection<Pair<java.util.List<java.lang.String>,java.lang.Long>> patterns)

Method Detail

### iterator

    public java.util.Iterator<Pair<java.util.List<java.lang.String>,java.lang.Long>> iterator()

### getPatterns

    public java.util.List<Pair<java.util.List<java.lang.String>,java.lang.Long>> getPatterns()

### merge

    public TopKStringPatterns merge(TopKStringPatterns pattern,
                                    int heapSize)

### readFields

    public void readFields(java.io.DataInput in)
                    throws java.io.IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.